# Generated from sensu-plugins-logstash-boutetnico-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sensu-plugins-logstash-boutetnico

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Sensu plugins for working with logstash
License: MIT
URL: https://github.com/boutetnico/sensu-plugins-logstash
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4.0
# BuildRequires: rubygem(codeclimate-test-reporter) >= 1.0
# BuildRequires: rubygem(codeclimate-test-reporter) < 2
# BuildRequires: rubygem(github-markup) >= 3.0
# BuildRequires: rubygem(github-markup) < 4
# BuildRequires: rubygem(pry) >= 0.13
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(redcarpet) >= 3.5
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(rspec) >= 3.9
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.85.0
# BuildRequires: rubygem(rubocop) < 0.86
# BuildRequires: rubygem(webmock) >= 3.8.3
# BuildRequires: rubygem(webmock) < 3.9
# BuildRequires: rubygem(yard) >= 0.9.25
# BuildRequires: rubygem(yard) < 0.10
BuildArch: noarch

%description
This plugin provides native logstash instrumentation
for monitoring, including: a handler for sending events
to logstash.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/metrics-logstash-node.rb
%{_bindir}/handler-logstash.rb
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 1.0.1-1
- Initial package
